<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: ads/interstitial/Header.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: ads/interstitial/Header.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import style from &#x27;./style.scss&#x27;
import { h, Component } from &#x27;preact&#x27;

let classNames &#x3D; (require(&#x27;classnames/bind&#x27;)).bind(style)
/**
 * belka wyświetlana nad reklamą, zawierająca napis reklama, wymagany przed wydawców oraz przycisk zamykający
 *
 * @export
 * @class Header
 * @extends {Component}
 * @prop {object} props - zestaw właściwości komponentu
 * @prop {function} props.onClick - kliknięcie w przycisk zamykający w prawej części komponentu
 */
export class Header extends Component {
  constructor (props, state) {
    super(props, state)
    if (!(&#x27;onClick&#x27; in this.props)) this.props.onClick &#x3D; function () {}
    this.handleClick &#x3D; this.handleClick.bind(this)
  }

  handleClick (ev) {
    this.props.onClick(ev)
  }

  render () {
    return (
      &amp;lt;div className&#x3D;{classNames(&#x27;header&#x27;)}&gt;
        &amp;lt;div&gt;reklama&amp;lt;/div&gt;
        &amp;lt;button
          onClick&#x3D;{this.handleClick()}
        &gt;
          zamknij
          &amp;lt;svg xmlns&#x3D;&quot;http://www.w3.org/2000/svg&quot; viewBox&#x3D;&quot;0 0 352 512&quot;&gt;
            &amp;lt;path
              fill&#x3D;&quot;currentColor&quot;
              d&#x3D;&quot;M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z&quot;
            &gt;&amp;lt;/path&gt;
          &amp;lt;/svg&gt;
        &amp;lt;/button&gt;
      &amp;lt;/div&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>